%define		phonon_ver	4.10.60
%define		qt_ver		5.2.0

Summary:	GStreamer backend for Qt5 Phonon
Summary(pl.UTF-8):	Wtyczka GStreamera dla Phonona opartego na Qt5
Name:		phonon-qt5-backend-gstreamer
Version:	4.10.0
Release:	1
License:	LGPL 2.1
Group:		Libraries
Source0:	https://download.kde.org/Attic/phonon/phonon-backend-gstreamer/%{version}/phonon-backend-gstreamer-%{version}.tar.xz
# Source0-md5:	60abf634e961160cd1772d486f4a7097
BuildRequires:	OpenGL-devel
BuildRequires:	Qt5Core-devel >= %{qt_ver}
BuildRequires:	Qt5Gui-devel >= %{qt_ver}
BuildRequires:	Qt5OpenGL-devel >= %{qt_ver}
BuildRequires:	Qt5Widgets-devel >= %{qt_ver}
BuildRequires:	Qt5X11Extras-devel >= %{qt_ver}
BuildRequires:	cmake >= 3.5
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gstreamer-devel >= 1.0
BuildRequires:	gstreamer-plugins-base-devel >= 1.0
BuildRequires:	kf5-extra-cmake-modules >= 5.60
BuildRequires:	libxml2-devel >= 2
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= %{qt_ver}
BuildRequires:	qt5-linguist >= %{qt_ver}
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	phonon-qt5-devel >= %{phonon_ver}
BuildRequires:	qt5-build >= %{qt_ver}
BuildRequires:	qt5-qmake >= %{qt_ver}
Requires:	Qt5Core >= %{qt_ver}
Requires:	Qt5Gui >= %{qt_ver}
Requires:	Qt5OpenGL >= %{qt_ver}
Requires:	Qt5Widgets >= %{qt_ver}
Requires:	Qt5X11Extras >= %{qt_ver}
Requires:	phonon-qt5 >= %{phonon_ver}
Suggests:	gstreamer-pulseaudio >= 1.0
Provides:	phonon-qt5-backend = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GStreamer backend for Qt5 Phonon.

%description -l pl.UTF-8
Wtyczka GStreamera dla Phonona opartego na Qt5.

%prep
%setup -q -n phonon-backend-gstreamer-%{version}

%build
install -d build-qt5
cd build-qt5
%cmake .. \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	-DPHONON_BUILD_PHONON4QT5=ON

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build-qt5 install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang phonon_gstreamer_qt --with-qm

%clean
rm -rf $RPM_BUILD_ROOT

%files -f phonon_gstreamer_qt.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/qt5/plugins/phonon4qt5_backend/phonon_gstreamer.so
%{_iconsdir}/hicolor/*x*/apps/phonon-gstreamer.png
%{_iconsdir}/hicolor/scalable/apps/phonon-gstreamer.svg
%changelog
* Mon Jun 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/phonon-qt5-backend-gstreamer.git;a=log;h=master

* Mon Jun 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 032b1b9
- updated dependencies

* Mon Jun 09 2025 Jakub Bogusz <qboosh@pld-linux.org> 9bc3b41
- phonon-backend-gstreamer.spec updated to 4.10.0 for phonon-qt5

* Mon Jun 09 2025 Jakub Bogusz <qboosh@pld-linux.org> d2a63e6
- updated to 4.9.1 (the last version supporting qt4); not supported by phonon 4.11+

* Sat Oct 12 2019 Jan Rękorajski <baggins@pld-linux.org> 3e194a2
- release 5 (by relup.sh)

* Sun Apr 05 2015 Jakub Bogusz <qboosh@pld-linux.org> a623b8b
- updated source URL

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 7e041f3
- release 4 (by relup.sh)

* Sat Apr 04 2015 Jan Rękorajski <baggins@pld-linux.org> 46dc391
- x32 rebuild
- release 3 (by relup.sh)

* Fri Apr 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 574bc09
- release 2

* Fri Apr 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 7abc7dc
- updated dependencies
- disable graphics view (not ready for gstreamer 1 API)
- build phonon4qt5 plugin

* Tue Feb 03 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 2bd0fc9
- up to 4.8.2

* Sun Feb 17 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7ab34d4
- up to 4.6.3

* Sun Jan 27 2013 Jan Palus <jan.palus@gmail.com> ca4c896
- up to 4.6.2
- suggest gstreamer pulseaudio plugin to prevent errors in kde

* Sun May 08 2011 Bartłomiej Zimoń <cactus@pld-linux.org> cc90fc0
- up to 4.5.1 (bugfix release)
- add icons to pkg

* Mon Apr 11 2011 Bartłomiej Zimoń <cactus@pld-linux.org> 0f307c2
- up to 4.5.0

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 6825c22
- new spec
- ver 4.4.4

